std::uses_allocator< typename, typename > Struct Template Reference
Allocators
Inheritance diagram for std::uses_allocator< typename, typename >:
[legend]

## Public Types

typedef integral_constant < bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type () const

## Static Public Attributes

static constexpr bool | value

## Detailed Description

### template<typename, typename>
struct std::uses_allocator< typename, typename >

Declare uses_allocator so it can be specialized in <queue> etc.

[allocator.uses.trait]

Definition at line 71 of file memoryfwd.h.

The documentation for this struct was generated from the following file:

- memoryfwd.h